petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscObjectSetFromOptions

Sets generic parameters from user options.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscObjectSetFromOptions(PetscObject obj)

Collective on obj Many br

### Input Parameter

obj -the PetscObjcet Many br

### Options Database Keys

### Notes

We have no generic options at present, so this does nothing Many br

Many br

### Keywords

set, options, database

### See Also

PetscObjectSetOptionsPrefix(), PetscObjectGetOptionsPrefix()

Level:beginner
Location:src/sys/objects/inherit.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages